<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;

function themeConfig($form) {
    
    // LOGO
    $logo = new Typecho_Widget_Helper_Form_Element_Text('logo', NULL, NULL, _t('LOGO'), _t('输入站点 LOGO URL 地址，LOGO 长宽比例必须为 1:1，尺寸不限。'));
    $form->addInput($logo);
    
    // 默认缩略图
    $default = new Typecho_Widget_Helper_Form_Element_Text('default_thumb', NULL, '', _t('默认缩略图'),_t('文章没有图片时显示的默认缩略图，为空时表示不显示，如：http://www.example.com/image.png 。'));
    $form->addInput($default);
    
    // 统计代码
    $site_stat = new Typecho_Widget_Helper_Form_Element_Textarea('site_stat', NULL, NULL, _t('统计代码'), _t('填入 CNZZ 或其他第三方统计代码。'));
    $form->addInput($site_stat);
    
}

function showThumb($obj,$size=null,$link=false,$pattern='<div class="post-thumb"><a class="thumb" href="{permalink}" title="{title}" style="background-image:url({thumb})"></a></div>'){

    preg_match_all( "/<[img|IMG].*?src=[\'|\"](.*?)[\'|\"].*?[\/]?>/", $obj->content, $matches );
    $thumb = '';
    $options = Typecho_Widget::widget('Widget_Options');

    $attach = $obj->attachments(1)->attachment;

    if (isset($attach->isImage) && $attach->isImage == 1){
        $thumb = $attach->url;
        if(!empty($options->src_add) && !empty($options->cdn_add)){
            $thumb = str_ireplace($options->src_add,$options->cdn_add,$thumb);
        }
        if($size!='full'){
            $thumb_width = $options->thumb_width;
            $thumb_height = $options->thumb_height;

            if($size!=null){
                $size = explode('x', $size);
                if(!empty($size[0]) && !empty($size[1])){
                    list($thumb_width,$thumb_height) = $size;
                }
            }
            $thumb .= '?imageView2/4/w/'.$thumb_width.'/h/'.$thumb_height;
        }
    }elseif(isset($matches[1][0])){
        $thumb = $matches[1][0];
        if(!empty($options->src_add) && !empty($options->cdn_add)){
            $thumb = str_ireplace($options->src_add,$options->cdn_add,$thumb);
        }
        if($size!='full'){
            $thumb_width = $options->thumb_width;
            $thumb_height = $options->thumb_height;

            if($size!=null){
                $size = explode('x', $size);
                if(!empty($size[0]) && !empty($size[1])){
                    list($thumb_width,$thumb_height) = $size;
                }
            }
            $thumb .= '?imageView2/4/w/'.$thumb_width.'/h/'.$thumb_height;
        }
    }
    
    if(empty($thumb) && empty($options->default_thumb)){
        return '';
    }else{
        $thumb = empty($thumb) ? $options->default_thumb : $thumb;
    }
    if($link){
        return $thumb;
    }
    echo str_replace(
        array('{title}','{thumb}','{permalink}'),
        array($obj->title,$thumb,$obj->permalink),
        $pattern);
}

// 解析表情
function convertSmilies($widget)
{
    $smiliesTrans = array(
    '[1]'   => '1.png',
    '[2]'   => '2.png',
    '[3]'   => '3.png',
    '[4]'   => '4.png',
    '[5]'   => '5.png',
    '[6]'   => '6.png',
    '[7]'   => '7.png',
    '[8]'   => '8.png',
    '[9]'   => '9.png',
    '[10]'  => '10.png',
    '[11]'  => '11.png',
    '[12]'  => '12.png',
    '[13]'  => '13.png',
    '[14]'  => '14.png',
    '[15]'  => '15.png',
    '[16]'  => '16.png',
    '[17]'  => '17.png',
    '[18]'  => '18.png',
    '[19]'  => '19.png',
    '[20]'  => '20.png',
    '[21]'  => '21.png',
    '[22]'  => '22.png',
    '[23]'  => '23.png',
    '[24]'  => '24.png',
    '[25]'  => '25.png',
    '[26]'  => '26.png',
    '[27]'  => '27.png',
    '[28]'  => '28.png',
    '[29]'  => '29.png',
    '[30]'  => '30.png',
    '[31]'  => '31.png',
    '[32]'  => '32.png',
    '[33]'  => '33.png',
    '[34]'  => '34.png',
    '[35]'  => '35.png',
    '[36]'  => '36.png',
    '[37]'  => '37.png',
    '[38]'  => '38.png',
    '[39]'  => '39.png',
    '[40]'  => '40.png',
    '[41]'  => '41.png',
    '[42]'  => '42.png',
    '[43]'  => '43.png',
    '[44]'  => '44.png',
    '[45]'  => '45.png',
    '[46]'  => '46.png',
    '[47]'  => '47.png',
    '[48]'  => '48.png',
    '[49]'  => '49.png',
    '[50]'  => '50.png',
    '[51]'  => '51.png',
    '[52]'  => '52.png',
    '[53]'  => '53.png',
    '[54]'  => '54.png',
    '[55]'  => '55.png',
    '[56]'  => '56.png',
    '[57]'  => '57.png',
    '[58]'  => '58.png',
    '[59]'  => '59.png',
    '[60]'  => '60.png',
    '[61]'  => '61.png',
    '[62]'  => '62.png',
    '[63]'  => '63.png',
    '[64]'  => '64.png',
    '[65]'  => '65.png',
    '[66]'  => '66.png',
    '[67]'  => '67.png',
    '[68]'  => '68.png',
    '[69]'  => '69.png',
    '[70]'  => '70.png',
    '[71]'  => '71.png',
    '[72]'  => '72.png',
    '[73]'  => '73.png',
    '[74]'  => '74.png',
    '[75]'  => '75.png',
    '[76]'  => '76.png',
    '[77]'  => '77.png',
    '[78]'  => '78.png',
    '[79]'  => '79.png',
    '[80]'  => '80.png',
    );
    $imgUrl = Typecho_Widget::widget('Widget_Options')->themeUrl . '/img/smilies/';
    foreach($smiliesTrans as $smiley => $img) {
        $smiliesTag[] = $smiley;
        $smiliesReplace[] = "<img src=\"$imgUrl$img\" alt=\"\" class=\"smiley\" />";
    }   
    $output = '';
    $textArr = preg_split("/(<.*>)/U", $widget, -1, PREG_SPLIT_DELIM_CAPTURE);
    $stop = count($textArr);
    for ($i = 0; $i < $stop; $i++) {
        $content = $textArr[$i];
        if ((strlen($content) > 0) && ('<' != $content{0})) {
            $content = str_replace($smiliesTag, $smiliesReplace, $content);
        }
        $output .= $content;
    }
    $output = preg_replace('/\[img=?\]*(.*?)(\[\/img)?\]/e', '"<img src=\"$1\" alt=\"" . basename("$1") . "\" />"', $output);
    echo $output;
}

// 评论回调函数
function threadedComments($comments, $singleCommentOptions)
{

    $commentClass = '';
    if ($comments->authorId)
    {
        if ($comments->authorId == $comments->ownerId)
        {
            $commentClass .= ' comment-by-author';
        }
        else
        {
            $commentClass .= ' comment-by-user';
        }
    }
    
    $commentLevelClass = $comments->levels > 0 ? ' comment-child' : ' comment-parent'; ?>
    
    <li itemscope itemtype="http://schema.org/UserComments" id="<?php $comments->theId(); ?>" class="comment-body<?php
        if ($comments->levels > 0) {
            echo ' comment-child';
            $comments->levelsAlt(' comment-level-odd', ' comment-level-even');
        } else {
            echo ' comment-parent';
        }
        $comments->alt(' comment-odd', ' comment-even');
        echo $commentClass;
    ?>">
        
        <div class="comment-author" itemprop="creator" itemscope itemtype="http://schema.org/Person">
            <span itemprop="image"><?php $comments->gravatar($singleCommentOptions->avatarSize, $singleCommentOptions->defaultAvatar); ?></span>
            <cite class="fn" itemprop="name"><?php $singleCommentOptions->beforeAuthor();
            $comments->author();
            $singleCommentOptions->afterAuthor(); ?></cite>
        </div>
        
        <div class="comment-meta">
            <a href="<?php $comments->permalink(); ?>"><time itemprop="commentTime" datetime="<?php $comments->date('c'); ?>"><?php $singleCommentOptions->beforeDate();
            $comments->date($singleCommentOptions->dateFormat);
            $singleCommentOptions->afterDate(); ?></time></a>
            <?php if ('waiting' == $comments->status) { ?>
            <em class="comment-awaiting-moderation"><?php $singleCommentOptions->commentStatus(); ?></em>
            <?php } ?>
        </div>
        
        <div class="comment-content" itemprop="commentText">
            <?php convertSmilies($comments->content); ?>
        </div>
        
        <div class="comment-reply">
            <?php $comments->reply($singleCommentOptions->replyWord); ?>
        </div>
        
        <?php if ($comments->children) { ?>
        
        <div class="comment-children" itemprop="discusses">
            <?php $comments->threadedComments(); ?>
        </div>
        
        <?php } ?>
    </li>
    <?php
}